{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  pname = "tailwindcss-cli";
  version = "3.3.1";
  src = fetchurl {
    url = "https://github.com/tailwindlabs/tailwindcss/releases/download/v${version}/tailwindcss-linux-x64";
    sha256 = "sha256-i1ekM61t0SXR+iw9K9Z0y7cm3W4uQ4Kxodt/NK9fywg=";
  };
  dontUnpack = true;
  dontStrip = true;
  buildPhase = ''
  cp $src tailwindcss
  chmod u+x tailwindcss
  '';
  installPhase = ''
  mkdir -p $out/bin
  cp tailwindcss $out/bin/tailwindcss
  '';
}
